Bug 72884 - TB Conf.py:findnextline:194
TB Conf.py:findnextline:194
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
 
Reported: 2002-08-28 14:25 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-25 05:13:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-28 14:25:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open the network cofigurator
2.change any host data
3.click apply or close/save
	

Actual Results:  I get a failure the os reports as a probable bug, with the
option of debug or save to file...

Expected Results:  It should have accepted the information and saved the changes.

Additional info:

Traceback (innermost last):
  File "/usr/sbin/neat", line 1402, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 458, in on_okButton_clicked
    if self.save() != 0:
  File "/usr/sbin/neat", line 287, in save
    self.saveHardware()
  File "/usr/sbin/neat", line 302, in saveHardware
    hardwarelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCHardwareList.py",
line 343, in save
    modules.write()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 986,
in write
    self[key] = self.vars[key]
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 969,
in __setitem__
    while self.findnextline(findexp):
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 194,
in findnextline
    if re.search(regexp, self.lines[self.line]):
  File "/usr/lib/python1.5/site-packages/re.py", line 43, in search
    return _cachecompile(pattern, flags).search(string)
  File "/usr/lib/python1.5/site-packages/re.py", line 33, in _cachecompile
    value = compile(pattern, flags)
  File "/usr/lib/python1.5/site-packages/re.py", line 79, in compile
    code=pcre_compile(pattern, flags, groupindex)
pcre.error: ('unmatched brackets', 26)

Local variables in innermost frame:
pattern: ^[	 ]*pre-remove[	 ]+video)[	 ]+
groupindex: {}
flags: 0
Comment 1 gino nys 2002-09-10 17:27:37 EDT
I have a simular problem trying to insert information about my ethernet link 
III card.
Comment 2 Harald Hoyer 2002-10-23 05:37:59 EDT
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.
Comment 3 Harald Hoyer 2003-03-25 05:13:54 EST
see #67498

Note You need to log in before you can comment on or make changes to this bug.